Robotsystem of the Robot Group Leipzig: SelectiveOne2OneWiring Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SelectiveOne2OneWiring Class Reference

Implements a selective one to one wireing of robot sensors to inputs of the controller and controller outputs to robot motors. More...

`#include <selectiveone2onewiring.h>`

Inherits One2OneWiring.

Inheritance diagram for SelectiveOne2OneWiring:

[legend]
Collaboration diagram for SelectiveOne2OneWiring:

[legend]
List of all members.

## Public Member Functions
| SelectiveOne2OneWiring (NoiseGenerator *noise, select_predicate *sel_sensor)
| constructor
virtual | ~SelectiveOne2OneWiring ()
virtual bool | init (int robotsensornumber, int robotmotornumber, RandGen *randGen=0)
| initializes the number of sensors and motors on robot side, calculate number of sensors and motors on controller side
virtual bool | wireSensors (const sensor *rsensors, int rsensornumber, sensor *csensors, int csensornumber, double noise)
| Realizes one to one wiring from robot sensors to controller sensors.
## Protected Attributes
select_predicate * | sel_sensor

## Detailed Description

Implements a selective one to one wireing of robot sensors to inputs of the controller and controller outputs to robot motors.

## Constructor & Destructor Documentation

SelectiveOne2OneWiring | ( | NoiseGenerator * | noise,
|  | select_predicate * | sel_sensor |
| ) |  |  |

constructor

Parameters:

  | noise | NoiseGenerator that is used for adding noise to sensor values
  | sel_sensor | binary predicate taking the index and the length (number of sensors) and decides which sensor to select

~SelectiveOne2OneWiring | ( |  | ) | `[virtual]`

## Member Function Documentation

bool init | ( | int | robotsensornumber,
|  | int | robotmotornumber,
|  | RandGen * | randGen = `0` |
| ) |  |  | `[virtual]`

initializes the number of sensors and motors on robot side, calculate number of sensors and motors on controller side

Reimplemented from One2OneWiring.

bool wireSensors | ( | const sensor * | rsensors,
|  | int | rsensornumber,
|  | sensor * | csensors,
|  | int | csensornumber,
|  | double | noise |
| ) |  |  | `[virtual]`

Realizes one to one wiring from robot sensors to controller sensors.

Reimplemented from One2OneWiring.

## Member Data Documentation

select_predicate* sel_sensor`[protected]`

The documentation for this class was generated from the following files:

- selectiveone2onewiring.h
- selectiveone2onewiring.cpp